CAD -> Google Street View

Google street view is a very powerful resource for engineers. Often times it takes some fiddling to find the exact point you want in street view.

I wrote some code to help with the process. What this code does is take the Northing and Easting in your Civil 3d drawing and convert it to Lattitude & Longitude. In order for it to do this you have to have a coordinate zone assigned to your drawing in the Civil 3d Units & Zone Tab. I demonstrate this in the video, but you can also access it by typing in EDITDRAWINGSETTINGS.

Check out the video below, and the code at the bottom of the page. Thanks!

; Written by Brian Strandberg, c3dk.com
; email: hello@c3dk.com
; Transforms coordinates from the X & Y in your drawing
; to Lattitude & Longitude
; then opens google street view at that point.
; code is not fully debugged
; requires a coordinate zone is assigned to your drawing.

(defun c:gsv (/)
(command "UCS" "World")
(if (not (getvar "CGOECS"))()(alert "fail - set coordinate zone first"))
(setq pkpt (getpoint "Select Point to see in Street View"))
(ade_projsetsrc (getvar "CGEOCS"))
(ade_projsetdest "LL84")
(setq cvp (list (car pkpt) (cadr pkpt)))
(setq result (ade_projptforward CVP))
(if (null result)
(alert "\nError in Transformation "))

(setq gsv (strcat "http://maps.google.com/maps?q=&layer=c&cbll=" (rtos (cadr result) 2 8) "," (rtos (car result) 2 8)))

(command "UCS" "P")
(command "browser" gsv)


); close defun